//compilieren mit
// gcc -L/usr/local/lib  single.c -lmosquitto -o single.bin
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include "mosquitto.h"


void on_publish(struct mosquitto *mosq, void *userdata, int mid){
  mosquitto_disconnect(mosq);
}

int main(int argc, char *argv[]){
  struct mosquitto *mosq;
  
  mosq = mosquitto_new("id", true, NULL);
  mosquitto_publish_callback_set(mosq, on_publish);
  
  mosquitto_connect(mosq, "localhost", 1883, 0);
  mosquitto_publish(mosq, NULL, "lichtAZ", 3, "ein", 0, true);
    
  mosquitto_loop_forever(mosq, -1, 1);  // this calls mosquitto_loop() in a loop, it will exit once the client disconnects cleanly

    return 0;
}
